W3C home > Mailing lists > Public > public-device-apis-log@w3.org > May 2017

Re: [battery] Allow use from within secure context and top-level browsing context only

From: Anssi Kostiainen via GitHub <sysbot+gh@w3.org>
Date: Wed, 10 May 2017 08:24:18 +0000
To: public-device-apis-log@w3.org
Message-ID: <issue_comment.created-300411394-1494404657-sysbot+gh@w3.org>
Submitted a spec patch https://github.com/w3c/battery/commit/53360f1145a3ae20d69d403c71ccac850f4af49c per the proposal outlined above, i.e. reject the battery promise with a `SecurityError` if not a secure context and top-level browsing context.

I heard no concerns to the proposal, so I'll merge this immediately to get the Editor's Draft updated.

@Honry will update the test suite accordingly to match this spec change.

-- 
GitHub Notification of comment by anssiko
Please view or discuss this issue at https://github.com/w3c/battery/issues/10#issuecomment-300411394 using your GitHub account
Received on Wednesday, 10 May 2017 08:24:25 UTC

This archive was generated by hypermail 2.3.1 : Monday, 23 October 2017 12:18:53 UTC